Bug 1163384

Summary: UI: Missing route error for forest_delete action in Configuration/Configure/Settings/Authentication
Product: Red Hat CloudForms Management Engine Reporter: Harpreet Kataria <hkataria>
Component: UI - OPSAssignee: Harpreet Kataria <hkataria>
Status: CLOSED ERRATA QA Contact: Nandini Chandra <nachandr>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.3.0CC: dajohnso, drieden, jprause, mfeifer, nachandr, snansi
Target Milestone: GAKeywords: ZStream
Target Release: 5.3.2   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.3.2 Doc Type: Bug Fix
Doc Text:
In the earlier version of CloudForms Management Engine, an error occurred after attempting to add a new forest in the trusted forest settings box, when configuring LDAP authentication for the appliance. This was due to missing route information for handling the action to add a new forest. This bug was fixed by adding the missing route information. The administrator is now able to add a new forest when configuring LDAP authentication for the appliance.
Story Points: ---
Clone Of: 1163382 Environment:
Last Closed: 2015-01-14 19:43:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1163382    
Bug Blocks:    

Description Harpreet Kataria 2014-11-12 15:28:58 UTC
+++ This bug was initially created as a clone of Bug #1163382 +++

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Go to Configuration/Configure
2. Select Current server in Settings Accordion
3. Go to Authentication tab
4. change mode to LDAP
5. Check the checkbox for "Get User Groups from LDAP"
6. In "Trusted Forest Settings" box, click on + sign to Add a new forest

Error text:
 not implemented [ops/forest_accept] 
error in log:
[----] F, [2014-11-12T15:19:41.682659 #3360:f01ff4] FATAL -- : Error caught: [ActionController::RoutingError] No route matches {:action=>"forest_delete", :ldaphost_id=>"aaa", :controller=>"ops"}
/home/hkataria/.rvm/gems/ruby-1.9.3-p547/bundler/gems/rails-0cfea19a4279/actionpack/lib/action_dispatch/routing/route_set.rb:540:in `raise_routing_error'

Actual results: getting error


Expected results: should let user add a new forest entry


Additional info:

Comment 1 Harpreet Kataria 2014-11-12 17:09:10 UTC
Steps to Reproduce:
1. Go to Configuration/Configure
2. Select Current server in Settings Accordion
3. Go to Authentication tab
4. change mode to LDAP
5. Check the checkbox for "Get User Groups from LDAP"
6. In "Trusted Forest Settings" box, click on + sign to Add a new forest
7. Enter new Forest details and then press "Add this entry" button.

Comment 2 CFME Bot 2014-11-12 18:55:58 UTC
New commit detected on cfme/master:
https://github.com/ManageIQ/manageiq/commit/e227655ba071d86c8a74ca487c3c16b50c4aa50b

commit e227655ba071d86c8a74ca487c3c16b50c4aa50b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 12 10:57:59 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 12 10:57:59 2014 -0500

    Added missing 'forest_delete' route
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163382
    https://bugzilla.redhat.com/show_bug.cgi?id=1163384

 vmdb/config/routes.rb                 | 1 +
 vmdb/spec/routing/ops_routing_spec.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 3 CFME Bot 2014-11-12 18:56:16 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e227655ba071d86c8a74ca487c3c16b50c4aa50b

commit e227655ba071d86c8a74ca487c3c16b50c4aa50b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 12 10:57:59 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 12 10:57:59 2014 -0500

    Added missing 'forest_delete' route
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163382
    https://bugzilla.redhat.com/show_bug.cgi?id=1163384

 vmdb/config/routes.rb                 | 1 +
 vmdb/spec/routing/ops_routing_spec.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 4 CFME Bot 2014-11-12 19:00:48 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3c009381c6634221fc607939e0accd38e67321f5

commit 3c009381c6634221fc607939e0accd38e67321f5
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 12 10:57:59 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 12 13:59:35 2014 -0500

    Added missing 'forest_delete' route
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163382
    https://bugzilla.redhat.com/show_bug.cgi?id=1163384
    (cherry picked from commit e227655)

 vmdb/config/routes.rb                 | 1 +
 vmdb/spec/routing/ops_routing_spec.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 6 Nandini Chandra 2014-12-23 17:54:54 UTC
Verified in 5.3.2.5

Comment 8 errata-xmlrpc 2015-01-14 19:43:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html